# Webservices App

This is an app I'm creating to visualise data I've created (in JSON form) describing my self-hosted (professional, volunteer, & personal) webservices.


## create-svelte

Everything you need to build a Svelte project, powered by [`create-svelte`](https://github.com/sveltejs/kit/tree/main/packages/create-svelte).

## Creating a project

If you're seeing this, you've probably already done this step. Congrats!

```bash
# create a new project in the current directory
npm create svelte@latest

# create a new project in my-app
npm create svelte@latest my-app
```

## Developing

Once you've created a project and installed dependencies with `npm install` (or `pnpm install` or `yarn`), start a development server:

```bash
npm run dev

# or start the server and open the app in a new browser tab
npm run dev -- --open
```

## Building

To create a production version of your app:

```bash
npm run build
```

You can preview the production build with `npm run preview`.

## Deployment

### To set up your SvelteKit project, ensure that your svelte.config.js file has this line:

    // import adapter from '@sveltejs/adapter-auto';
    import adapter from '@sveltejs/adapter-node';

and then run

    npm i -D @sveltejs/adapter-node
    npm i dotenv

### To build a new image

    docker-compose build

### To start it up (and tail the logs - CTRL-C to quit out of the logs without affecting running container)

    docker-compose up -d && docker-compose logs -f

### To clear out an old image (if it's running)

    docker-compose down --remove-orphans --rmi 'all'
